Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000551 [Piwigo] display text always 2006.09.28 12:06 2008.07.04 00:11
Reporter Graou11 View Status public  
Assigned To
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.1 Product Version 1.6.1
  Target Version Product Build
Summary 0000551: Affichage à améliorer lors de manipulations sur les catégories
Description Aux changement effectués sur les catégories, page=cat_modify, s'affiche en haut
de la page : 1 catégories déplacées
- Utilisation du pluriel systématique
- Utilisation de "déplacé" quelque soit le changement effectué dans la catégorie. "Modifié" me paraitrait plus juste.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files jpg file icon pwg_modif_cat.jpg [^] (38,551 bytes) 2006.09.28 12:06

- Relationships

-  Notes
(0001451)
plg (manager)
2006.10.05 14:30

Le "1 catégories déplacées" vient du fait que le formulaire de déplacement est confondue avec le formulaire d'édition de la catégorie et qu'on utilise le même libellé que sur la page [Administration>Catégories>Déplacer] et qu'en générale sur cette page, on déplace plusieurs catégories à la fois.

Il faudrait à la fois que cette information n'apparaisse que lorsqu'on déplace vraiment la catégorie et qu'on puisse mettre cette phrase au singulier (donc avoir un label différent).

Ce qui aurait constitué une vraie amélioration de ce cadre, ce serait la liste des informations modifiées ("nom" et "status" par exemple). Mais ce n'est pas l'objet de ce bug :-) (qui en est un et pas une demande de fonctionnalité).
(0001452)
Graou11 (reporter)
2006.10.05 14:43

Le pluriel ne me gène pas, on peut s'en sortir en écrivant X catégorie(s) déplacée(s). En zone admin, ça suffit me semble-t-il.
Par contre, le "déplacé" me parait génant.
Si j'ai bien compris, cette page sert à modifier des champs de la base MySQL. Est-ce que les champs modifiés sont accessibles? Si oui, pourquoi pas "champ machin modifié", ou éventuellement traduction, comme tu le propose : "description modifiée", "statut modifié", etc. Oups, je suis hors topic :-)
Reste la possibilité de mettre "modifiée(s)" ou "mise(s) à jour", ce qui botte en touche mais résoud la question.
(0001453)
plg (manager)
2006.10.06 14:06

> Le pluriel ne me gène pas, on peut s'en sortir en écrivant X catégorie(s)
> déplacée(s). En zone admin, ça suffit me semble-t-il.

OK pour moi.

> Par contre, le "déplacé" me parait génant.

Il n'apparaîtra que lorsqu'on déplacera vraiment la catégorie, c'est à dire quand on change de catégorie parente.

> Si j'ai bien compris, cette page sert à modifier des champs de la base
> MySQL.

Comme toute les pages de l'administration...

> Est-ce que les champs modifiés sont accessibles? [...]

Oui, mais c'est un autre sujet, je te propose de créer un sujet dédié si tu veux une évolution concernant les détails des informations mises à jour.
(0001454)
Graou11 (reporter)
2006.10.06 14:10

> Oui, mais c'est un autre sujet, je te propose de créer un sujet dédié si tu veux > une évolution concernant les détails des informations mises à jour.

Ca me parait superflu pour l'instant. On sait bien dans l'interface ce que l'on est en train de faire.
(0002267)
mathiasm (manager)
2008.07.04 00:11

The text in french is now:
Les informations de la catégorie ont été mises à jour avec succès.

- Issue History
Date Modified Username Field Change
2006.09.28 12:06 Graou11 New Issue
2006.09.28 12:06 Graou11 File Added: pwg_modif_cat.jpg
2006.09.28 12:06 Graou11 browser => any
2006.09.28 12:06 Graou11 Web server => Apache 1.3.x
2006.10.05 14:30 plg Note Added: 0001451
2006.10.05 14:30 plg Severity feature => text
2006.10.05 14:30 plg Status new => feedback
2006.10.05 14:43 Graou11 Note Added: 0001452
2006.10.05 14:43 Graou11 Issue Monitored: Graou11
2006.10.06 14:06 plg Note Added: 0001453
2006.10.06 14:06 plg Status feedback => confirmed
2006.10.06 14:10 Graou11 Note Added: 0001454
2008.07.04 00:11 mathiasm Status confirmed => closed
2008.07.04 00:11 mathiasm Note Added: 0002267
2008.07.04 00:11 mathiasm Resolution open => fixed
2008.07.04 00:11 mathiasm Fixed in Version => 1.7.1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker